{
  "extends": "./tsconfig.json",
  "compilerOptions": {
    "target": "esnext",
    "module": "esnext",
    "moduleResolution": "node",
    "jsx": "preserve",
    "resolveJsonModule": true,
    "lib": ["esnext", "dom"],
    "types": ["vite/client"],
    "sourceRoot": "src/app",
    "paths": {
      "@app/*": ["app/*"],
      "@common/*": ["common/*"]
    }
  },
  "include": [
    "src/app/**/*.ts",
    "src/app**/*.d.ts",
    "src/app/**/*.tsx",
    "src/app/**/*.vue"
  ],
  "exclude": [
    "src/server"
  ]
}
